<Constants>
   <Constant>
      <Name>MB_OK</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MB_OKCANCEL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>MB_ABORTRETRYIGNORE</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>MB_YESNOCANCEL</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>MB_YESNO</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>MB_RETRYCANCEL</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>MB_ICONNONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MB_ICONSTOP</Name>
      <Value>16</Value>
   </Constant>
   <Constant>
      <Name>MB_ICONQUESTION</Name>
      <Value>32</Value>
   </Constant>
   <Constant>
      <Name>MB_ICONEXCLAMATION</Name>
      <Value>48</Value>
   </Constant>
   <Constant>
      <Name>MB_ICONINFORMATION</Name>
      <Value>64</Value>
   </Constant>
   <Constant>
      <Name>MB_DEFBUTTON1</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MB_DEFBUTTON2</Name>
      <Value>256</Value>
   </Constant>
   <Constant>
      <Name>MB_DEFBUTTON3</Name>
      <Value>512</Value>
   </Constant>
   <Constant>
      <Name>IDOK</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>IDCANCEL</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>IDABORT</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>IDIGNORE</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>IDRETRY</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>IDYES</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>IDNO</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>SW_SHOWNORMAL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SW_NORMAL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SW_MAXIMIZE</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>SW_MINIMIZE</Name>
      <Value>6</Value>
   </Constant>
  <Constant>
    <Name>SW_SHOWMINNOACTIVE</Name>
    <Value>7</Value>
  </Constant>
   <Constant>
      <Name>CHANNEL_ALL</Name>
      <Value>-3</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_EFFECTS</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_USER1</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_USER2</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_USER3</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_USER4</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_BACKGROUND</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>CHANNEL_NARRATION</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>OB_STATE_UP</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>OB_STATE_DOWN</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SEEK_BEGINNING</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SEEK_END</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SEEK_FORWARD</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>SEEK_BACKWARD</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>SEEK_SPECIFIC</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>PAGE_FIRST</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>PAGE_LAST</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>PAGE_NEXT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>PAGE_PREVIOUS</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>PAGE_BACKWARD</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>PAGE_FORWARD</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>FLASH_LOADING</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>FLASH_UNINITIALIZED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>FLASH_LOADED</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>FLASH_INTERACTIVE</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>FLASH_COMPLETE</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>VIDEO_STOPPED</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>VIDEO_PAUSED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>VIDEO_PLAYING</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_BUTTON</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_LABEL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_PARAGRAPH</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_IMAGE</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_FLASH</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_VIDEO</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_WEB</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_INPUT</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_HOTSPOT</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_LISTBOX</Name>
      <Value>9</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_COMBOBOX</Name>
      <Value>10</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_PROGRESS</Name>
      <Value>11</Value>
   </Constant>
      <Constant>
      <Name>OBJECT_TREE</Name>
      <Value>12</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_RADIOBUTTON</Name>
      <Value>13</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_RICHTEXT</Name>
      <Value>14</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_CHECKBOX</Name>
      <Value>15</Value>
   </Constant>
<Constant>
      <Name>OBJECT_SLIDESHOW</Name>
      <Value>16</Value>
   </Constant>
<Constant>
      <Name>OBJECT_GRID</Name>
      <Value>17</Value>
   </Constant>
   <Constant>
      <Name>OBJECT_PLUGIN</Name>
      <Value>40</Value>
   </Constant>
   <Constant>
      <Name>HKEY_CLASSES_ROOT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>HKEY_CURRENT_CONFIG</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>HKEY_CURRENT_USER</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>HKEY_LOCAL_MACHINE</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>HKEY_USERS</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>REG_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>REG_SZ</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>REG_EXPAND_SZ</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>REG_BINARY</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>REG_DWORD</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>REG_DWORD_LITTLE_ENDIAN</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>REG_DWORD_BIG_ENDIAN</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>REG_LINK</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>REG_MULTI_SZ</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>REG_RESOURCE_LIST</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>REG_FULL_RESOURCE_DESCRIPTOR</Name>
      <Value>9</Value>
   </Constant>
   <Constant>
      <Name>REG_RESOURCE_REQUIREMENTS_LIST</Name>
      <Value>10</Value>
   </Constant>
   <Constant>
      <Name>DLL_CALL_CDECL</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>DLL_CALL_STDCALL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>DLL_RETURN_TYPE_INTEGER</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>DLL_RETURN_TYPE_LONG</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>DLL_RETURN_TYPE_STRING</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>SUBMITWEB_POST</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SUBMITWEB_GET</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ACCESS_READ</Name>
      <Value>131097</Value>
   </Constant>
   <Constant>
      <Name>ACCESS_WRITE</Name>
      <Value>131078</Value>
   </Constant>
   <Constant>
      <Name>ACCESS_ENUMERATE</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>ACCESS_ALL</Name>
      <Value>983103</Value>
   </Constant>
   <Constant>
      <Name>SHF_FONTS</Name>
      <Value>20</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYMUSIC</Name>
      <Value>13</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYMUSIC_COMMON</Name>
      <Value>53</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYPICTURES</Name>
      <Value>39</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYPICTURES_COMMON</Name>
      <Value>54</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYVIDEOS</Name>
      <Value>14</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYVIDEOS_COMMON</Name>
      <Value>55</Value>
   </Constant>
   <Constant>
      <Name>SHF_DESKTOP</Name>
      <Value>16</Value>
   </Constant>
   <Constant>
      <Name>SHF_DESKTOP_COMMON</Name>
      <Value>25</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTMENU</Name>
      <Value>11</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTMENU_COMMON</Name>
      <Value>22</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTMENUPROGRAMS</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTMENUPROGRAMS_COMMON</Name>
      <Value>23</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTUP</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>SHF_STARTUP_COMMON</Name>
      <Value>24</Value>
   </Constant>
   <Constant>
      <Name>SHF_COMMONFILES</Name>
      <Value>43</Value>
   </Constant>
   <Constant>
      <Name>SHF_PROGRAMFILES</Name>
      <Value>38</Value>
   </Constant>
   <Constant>
      <Name>SHF_MYDOCUMENTS</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>SHF_COMMON_DOCUMENTS</Name>
      <Value>46</Value>
   </Constant>
   <Constant>
      <Name>SHF_APPLICATIONDATA</Name>
      <Value>26</Value>
   </Constant>
   <Constant>
      <Name>SHF_APPLICATIONDATA_LOCAL</Name>
      <Value>28</Value>
   </Constant>
   <Constant>
      <Name>SHF_APPLICATIONDATA_COMMON</Name>
      <Value>35</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_US</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_EUROPE</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_ISO</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_JULIAN</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_MONTH</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_DAY</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_YEAR</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>DATE_FMT_DAYOFWEEK</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>TIME_FMT_MIL</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>TIME_FMT_AMPM</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>TIME_FMT_SEC</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>TIME_FMT_MIN</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>TIME_FMT_HOUR</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>LB_ALLITEMS</Name>
      <Value>-1</Value>
   </Constant>
   <Constant>
      <Name>LB_BYTEXT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>LB_BYDATA</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>LB_BYTEXTDATA</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>LB_ERROR</Name>
      <Value>-1</Value>
   </Constant>
   <Constant>
      <Name>CLOSEWND_SENDMESSAGE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>CLOSEWND_TERMINATE</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>HWND_BOTTOM</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>HWND_NOTOPMOST</Name>
      <Value>-2</Value>
   </Constant>
   <Constant>
      <Name>HWND_TOP</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>HWND_TOPMOST</Name>
      <Value>-1</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_UNKNOWN</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_NO_ROOT_DIR</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_REMOVABLE</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_FIXED</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_REMOTE</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_CDROM</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>DRIVE_RAMDISK</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_SAMEOLDER</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_OLDER</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_ALWAYS</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_NEVER</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_ASK</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>FILE_INSTALL_CALLBACK</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>ZIP_OVERWRITE_NEVER</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>ZIP_OVERWRITE_IFNEWER</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ZIP_OVERWRITE_ALWAYS</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>SPLASH_FLASH</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SPLASH_VIDEO</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SPLASH_IMAGE</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>BTN_UP</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BTN_DOWN</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>TABLE_ALL</Name>
      <Value>-1</Value>
   </Constant>
   <Constant>
      <Name>MODE_BINARY</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MODE_TEXT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ZIP_STATUS_MINOR</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ZIP_STATUS_MAJOR</Name>
      <Value>0</Value>
   </Constant>
  <Constant>
    <Name>LOGON_NO_OPTION</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>LOGON_WITH_PROFILE</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>LOGON_NETCREDENTIALS_ONLY</Name>
    <Value>2</Value>
  </Constant>
   <Constant>
      <Name>FMTSIZE_AUTOMATIC</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>FMTSIZE_BYTES</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>FMTSIZE_KB</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>FMTSIZE_MB</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>FMTSIZE_GB</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>FMTSIZE_GB</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>FW_DONTCARE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>FW_THIN</Name>
      <Value> 100</Value>
   </Constant>
   <Constant>
      <Name>FW_EXTRALIGHT</Name>
      <Value>200</Value>
   </Constant>
   <Constant>
      <Name>FW_LIGHT</Name>
      <Value>300</Value>
   </Constant>
   <Constant>
      <Name>FW_NORMAL</Name>
      <Value>400</Value>
   </Constant>
   <Constant> 
      <Name>FW_MEDIUM</Name>
      <Value>500</Value>
   </Constant>
   <Constant> 
      <Name>FW_SEMIBOLD</Name>
      <Value>600</Value>
   </Constant>
   <Constant> 
      <Name>FW_BOLD</Name>
      <Value>700</Value>
   </Constant>
   <Constant> 
      <Name>FW_EXTRABOLD</Name>
      <Value>800</Value>
   </Constant>
   <Constant>
      <Name>FW_HEAVY</Name>
      <Value>900</Value> 
   </Constant>
   <Constant>
      <Name>ANSI_CHARSET</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BALTIC_CHARSET</Name>
      <Value>186</Value>
   </Constant>
   <Constant>
      <Name>CHINESEBIG5_CHARSET</Name>
      <Value>136</Value>
   </Constant>
   <Constant>
      <Name>DEFAULT_CHARSET</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>EASTEUROPE_CHARSET</Name>
      <Value>238</Value>
   </Constant>
   <Constant>
      <Name>GB2312_CHARSET</Name>
      <Value>134</Value>
   </Constant>
   <Constant>
      <Name>GREEK_CHARSET</Name>
      <Value>161</Value>
   </Constant>
   <Constant>
      <Name>HANGUL_CHARSET</Name>
      <Value>129</Value>
   </Constant>
   <Constant>
      <Name>MAC_CHARSET</Name>
      <Value>77</Value>
   </Constant>
   <Constant>
      <Name>OEM_CHARSET</Name>
      <Value>255</Value>
   </Constant>
   <Constant>
      <Name>RUSSIAN_CHARSET</Name>
      <Value>204</Value>
   </Constant>
   <Constant>
      <Name>SHIFTJIS_CHARSET</Name>
      <Value>128</Value>
   </Constant>
   <Constant>
      <Name>SYMBOL_CHARSET</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>TURKISH_CHARSET</Name>
      <Value>162</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_LEFT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_CENTER</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_RIGHT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>BTNSTYLE_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BTNSTYLE_TOGGLE</Name>
      <Value>1</Value>
   </Constant>

   <Constant>
      <Name>BTNTOGGLE_UP</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BTNTOGGLE_DOWN</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_ARROW</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_HAND</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_BLACK_ARROW</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_CROSSHAIR</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_EXPLORE</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_HELP</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_MAGNIFY</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_MEDIA</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_MEDIA</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_MONEY</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_NOTEPAD</Name>
      <Value>9</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_PENCIL</Name>
      <Value>10</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_PRINTER</Name>
      <Value>11</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_SPEAKER</Name>
      <Value>12</Value>
   </Constant>
   <Constant>
      <Name>CURSOR_UP_ARROW</Name>
      <Value>13</Value>
   </Constant>
   <Constant>
      <Name>SND_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SND_STANDARD</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SND_CUSTOM</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>BG_SOLID</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BG_TRANSPARENT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>BG_GRADIENT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>BG_IMAGE</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>BG_IMG_FITPAGE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BG_IMAGE_FITPAGE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BG_IMAGE_TILE</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>BG_IMAGE_ACTUALSIZE</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>BORDER_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BORDER_SOLID</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SCROLL_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SCROLL_CUSTOM</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SCROLL_AUTO</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SCROLL_ON</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SCROLL_OFF</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>HITTEST_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>HITTEST_ALPHA</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_DEFAULT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_TOP</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_BOTTOM</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_TOP_LEFT</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_TOP_RIGHT</Name>
      <Value>6</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_BOTTOM_LEFT</Name>
      <Value>7</Value>
   </Constant>
   <Constant>
      <Name>ALIGN_BOTTOM_RIGHT</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>MENU_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MENU_FULL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>QUALITY_LOW</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>QUALITY_HIGH</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>QUALITY_AUTO_LOW</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>QUALITY_AUTO_HIGH</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>SHOW_ALL</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>NO_BORDER</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>EXACT_FIT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>LEFT_BUTTON_DOWN</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>LEFT_BUTTON_UP</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>RIGHT_BUTTON_DOWN</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>RIGHT_BUTTON_UP</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>INPUT_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>INPUT_PASSWORD</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>INPUT_MASK</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>MASK_FORMATTED</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MASK_AS_TYPED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>BORDER_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BORDER_FLAT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>BORDER_SUNKEN</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>READ_STANDARD</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>READ_RIGHT_TO_LEFT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>DROPDOWN_LIST</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>DROPDOWN_EDIT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>STYLE_BARS</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>STYLE_SMOOTH</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ORIENT_HORIZONTAL</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>ORIENT_VERTICAL</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>STRETCH_MODE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>MAINTAIN_ASPECT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CONTROL_PANEL_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>CONTROL_PANEL_STANDARD</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CONTROL_PANEL_CUSTOM</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>TIME_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>TIME_ELAPSED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>TIME_LENGTH</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>TIME_BOTH</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_FRONT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_BACK</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_FORWARD</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_BACKWARD</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_INSERT_BEFORE</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>ZORDER_INSERT_BEHIND</Name>
      <Value>5</Value>
   </Constant>
   <Constant>
      <Name>SIZE_RESTORED</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>SIZE_MINIMIZED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SIZE_MAXIMIZED</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>TPM_LEFTALIGN</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>TPM_CENTERALIGN</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>TPM_RIGHTALIGN</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>TPM_TOPALIGN</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>TPM_VCENTERALIGN</Name>
      <Value>16</Value>
   </Constant>
   <Constant>
      <Name>TPM_BOTTOMALIGN</Name>
      <Value>32</Value>
   </Constant>
  <Constant>
    <Name>INSTALLSTATE_NOTUSED</Name>
    <Value>-7</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_BADCONFIG</Name>
    <Value>-6</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_INCOMPLETE</Name>
    <Value>-5</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_SOURCEABSENT</Name>
    <Value>-4</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_MOREDATA</Name>
    <Value>-3</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_INVALIDARG</Name>
    <Value>-2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_UNKNOWN</Name>
    <Value>-1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_BROKEN</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_ADVERTISED</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_REMOVED</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_ABSENT</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_LOCAL</Name>
    <Value>3</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_SOURCE</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>INSTALLSTATE_DEFAULT</Name>
    <Value>5</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_NOCHANGE</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_DEFAULT</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_NONE</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_BASIC</Name>
    <Value>3</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_REDUCED</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_FULL</Name>
    <Value>5</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_ENDDIALOG</Name>
    <Value>128</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_PROGRESSONLY</Name>
    <Value>64</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_HIDECANCEL</Name>
    <Value>32</Value>
  </Constant>
  <Constant>
    <Name>INSTALLUILEVEL_SOURCERESONLY</Name>
    <Value>256</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_FATALEXIT</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_ERROR</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_EXTRADEBUG</Name>
    <Value>8192</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_WARNING</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_USER</Name>
    <Value>8</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_INFO</Name>
    <Value>16</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_RESOLVESOURCE</Name>
    <Value>64</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_OUTOFDISKSPACE</Name>
    <Value>128</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_ACTIONSTART</Name>
    <Value>256</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_ACTIONDATA</Name>
    <Value>512</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_COMMONDATA</Name>
    <Value>2048</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_PROPERTYDUMP</Name>
    <Value>1024</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_VERBOSE</Name>
    <Value>4096</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLOGMODE_LOGONLYONERROR</Name>
    <Value>16384</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_REPAIR</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEMISSING</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEOLDERVERSION</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEEQUALVERSION</Name>
    <Value>8</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEEXACT</Name>
    <Value>16</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEVERIFY</Name>
    <Value>32</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_FILEREPLACE</Name>
    <Value>64</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_MACHINEDATA</Name>
    <Value>128</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_USERDATA</Name>
    <Value>256</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_SHORTCUT</Name>
    <Value>512</Value>
  </Constant>
  <Constant>
    <Name>REINSTALLMODE_PACKAGE</Name>
    <Value>1024</Value>
  </Constant>
  <Constant>
    <Name>USERINFOSTATE_MOREDATA</Name>
    <Value>-3</Value>
  </Constant>
  <Constant>
    <Name>USERINFOSTATE_INVALIDARG</Name>
    <Value>-2</Value>
  </Constant>
  <Constant>
    <Name>USERINFOSTATE_UNKNOWN</Name>
    <Value>-1</Value>
  </Constant>
  <Constant>
    <Name>USERINFOSTATE_ABSENT</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>USERINFOSTATE_PRESENT</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLTYPE_DEFAULT</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>INSTALLTYPE_NETWORK_IMAGE</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLTYPE_SINGLE_INSTANCE</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_FAVORLOCAL</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_FAVORSOURCE</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_FOLLOWPARENT</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_FAVORADVERTISE</Name>
    <Value>8</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_DISALLOWADVERTISE</Name>
    <Value>16</Value>
  </Constant>
  <Constant>
    <Name>INSTALLFEATUREATTRIBUTE_NOUNSUPPORTEDADVERTISE</Name>
    <Value>32</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLEVEL_DEFAULT</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLEVEL_MINIMUM</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>INSTALLLEVEL_MAXIMUM</Name>
    <Value>65535</Value>
  </Constant>
<Constant>
    <Name>RADIOGROUP_VALUE</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>RADIOGROUP_OBJECTNAME</Name>
    <Value>1</Value>
  </Constant>
<Constant>
    <Name>RADIOGROUP_TEXT</Name>
    <Value>2</Value>
  </Constant>
   <Constant>
      <Name>BTN_ALIGN_LEFT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>BTN_ALIGN_RIGHT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CFU_CF1UNDERLINE</Name>
      <Value>255</Value>
   </Constant>
   <Constant>
      <Name>CFU_UNDERLINE</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>CFU_UNDERLINEDOTTED</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>CFU_UNDERLINEDOUBLE</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>CFU_UNDERLINENONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>CFU_UNDERLINEWORD</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>PFA_LEFT</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>PFA_RIGHT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>PFA_CENTER</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>PFA_JUSTIFY</Name>
      <Value>4</Value>
   </Constant>
<Constant>
      <Name>SLIDESHOW_FIRST</Name>
      <Value>0</Value>
   </Constant>
<Constant>
      <Name>SLIDESHOW_LAST</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>SLIDESHOW_NEXT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>SLIDESHOW_PREV</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>SLIDESHOW_RANDOM</Name>
      <Value>4</Value>
   </Constant>
<Constant>
      <Name>CROP</Name>
      <Value>2</Value>
   </Constant>
<Constant>
      <Name>PROPORTIONAL</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>STRETCH</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>GVS_DEFAULT</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>GVS_HEADER</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>GVS_DATA</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>GVS_BOTH</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>GVL_NONE</Name>
      <Value>0</Value>
   </Constant>
   <Constant>
      <Name>GVL_HORZ</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>GVL_VERT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>GVL_BOTH</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
      <Name>GVNI_FOCUSED</Name>
      <Value>1</Value>
   </Constant>
   <Constant>
      <Name>GVNI_SELECTED</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>GVNI_DROPHILITED</Name>
      <Value>4</Value>
   </Constant>
   <Constant>
      <Name>GVNI_READONLY</Name>
      <Value>8</Value>
   </Constant>
   <Constant>
      <Name>GVNI_FIXED</Name>
      <Value>16</Value>
   </Constant>
   <Constant>
      <Name>GVNI_MODIFIED</Name>
      <Value>32</Value>
   </Constant>
   <Constant>
      <Name>GVNI_ABOVE</Name>
      <Value>256</Value>
   </Constant>
   <Constant>
      <Name>GVNI_BELOW</Name>
      <Value>512</Value>
   </Constant>
   <Constant>
      <Name>GVNI_TOLEFT</Name>
      <Value>1024</Value>
   </Constant>
   <Constant>
      <Name>GVNI_TORIGHT</Name>
      <Value>2048</Value>
   </Constant>
   <Constant>
      <Name>GVNI_ALL</Name>
      <Value>3584</Value>
   </Constant>
   <Constant>
      <Name>GVNI_AREA</Name>
      <Value>2560</Value>
   </Constant>
   <Constant>
      <Name>GRID_CLR_DEFAULT</Name>
      <Value>4278190080</Value>
   </Constant>
<Constant>
      <Name>DIALOG_STYLE_STANDARD</Name>
      <Value>0</Value>
   </Constant>
<Constant>
      <Name>DIALOG_STYLE_BORDERED</Name>
      <Value>1</Value>
   </Constant>
<Constant>
      <Name>DIALOG_STYLE_FLAT</Name>
      <Value>2</Value>
   </Constant>
   <Constant>
      <Name>DIALOG_STYLE_CUSTOM_MASK</Name>
      <Value>3</Value>
   </Constant>
   <Constant>
    <Name>PRODUCT_UNDEFINED</Name>
    <Value>0</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ULTIMATE</Name>
    <Value>1</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HOME_BASIC</Name>
    <Value>2</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HOME_PREMIUM</Name>
    <Value>3</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE</Name>
    <Value>4</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HOME_BASIC_N</Name>
    <Value>5</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_BUSINESS</Name>
    <Value>6</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STANDARD_SERVER</Name>
    <Value>7</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_DATACENTER_SERVER</Name>
    <Value>8</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_SMALLBUSINESS_SERVER</Name>
    <Value>9</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_SERVER</Name>
    <Value>10</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STARTER</Name>
    <Value>11</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_DATACENTER_SERVER_CORE</Name>
    <Value>12</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STANDARD_SERVER_CORE</Name>
    <Value>13</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_SERVER_CORE</Name>
    <Value>14</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_SERVER_IA64</Name>
    <Value>15</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_BUSINESS_N</Name>
    <Value>16</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_WEB_SERVER</Name>
    <Value>17</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_CLUSTER_SERVER</Name>
    <Value>18</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HOME_SERVER</Name>
    <Value>19</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STORAGE_EXPRESS_SERVER</Name>
    <Value>20</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STORAGE_STANDARD_SERVER</Name>
    <Value>21</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STORAGE_WORKGROUP_SERVER</Name>
    <Value>22</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STORAGE_ENTERPRISE_SERVER</Name>
    <Value>23</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_SERVER_FOR_SMALLBUSINESS</Name>
    <Value>24</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_SMALLBUSINESS_SERVER_PREMIUM</Name>
    <Value>25</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HOME_PREMIUM_N</Name>
    <Value>26</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_N</Name>
    <Value>27</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ULTIMATE_N</Name>
    <Value>28</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_WEB_SERVER_CORE</Name>
    <Value>29</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_MEDIUMBUSINESS_SERVER_MANAGEMENT</Name>
    <Value>30</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_MEDIUMBUSINESS_SERVER_SECURITY</Name>
    <Value>31</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_MEDIUMBUSINESS_SERVER_MESSAGING</Name>
    <Value>32</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STANDARD_SERVER_V</Name>
    <Value>36</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_DATACENTER_SERVER_V</Name>
    <Value>37</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_SERVER_V</Name>
    <Value>38</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_DATACENTER_SERVER_CORE_V</Name>
    <Value>39</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_STANDARD_SERVER_CORE_V</Name>
    <Value>40</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_ENTERPRISE_SERVER_CORE_V</Name>
    <Value>41</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_HYPERV</Name>
    <Value>42</Value>
  </Constant>
  <Constant>
    <Name>PRODUCT_UNLICENSED</Name>
    <Value>2882382797</Value>
  </Constant>
</Constants>
